cloud-init rsyslog config uses deprecated syntax

Bug #1367899 reported by Craig Miskell on 2014-09-10
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
cloud-init
Medium
Unassigned
cloud-init (Debian)
Fix Released
Unknown
cloud-init (Ubuntu)
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
Zesty
Low
Unassigned
Artful
Low
Unassigned

Bug Description

=== Begin SRU Template ===
[Impact]
Warning messages in /var/log/syslog on startup:
warning: ~ action is deprecated, consider using the 'stop' statement instead

[Test Case]
Startup proposed lxcs and confirm warning message no longer present

$ name=proposed-test
$ for release in xenial yakkety zesty; do
$ ref=$release-proposed
$ lxc-proposed-snapshot --proposed --publish $release $ref
$ lxc init $ref $name
$ lxc start $name
$ sleep 10
$ lxc exec $name grep "warning: ~ action is deprecated, consider using the
'stop' statemen" /var/log/syslog
# validate cloud-init messages are making it into syslog still
$ lxc exec $name grep cloud-init /var/log/syslog
$ lxc stop $name
$ lxc delete $name

[Regression Potential]
Low. oneliner rsyslog change

[Other Info]
Upstream commit:
  https://git.launchpad.net/~powersj/cloud-init/commit/?id=87dcf5769df4e5ce370be753b7d39f5a65cee2f2

=== End SRU Template ===

Related branches

Changed in cloud-init (Debian):
status: Unknown → New
Charles Plessy (plessy) wrote :

Hi Scott,

would you consider replacing `~` with `stop` in `tools/21-cloudinit.conf`, or do you see a reason for not doing so ?

Cheers,

--
Charles

Changed in cloud-init (Debian):
status: New → Fix Committed
Changed in cloud-init (Debian):
status: Fix Committed → Fix Released
Joshua Powers (powersj) wrote :
Changed in cloud-init:
status: New → Confirmed
importance: Undecided → Medium
assignee: nobody → Joshua Powers (powersj)
status: Confirmed → In Progress
Scott Moser (smoser) on 2017-04-21
Changed in cloud-init:
status: In Progress → Fix Committed
Scott Moser (smoser) on 2017-04-26
Changed in cloud-init (Ubuntu):
status: New → Fix Released
importance: Undecided → Low
Changed in cloud-init (Ubuntu Xenial):
importance: Undecided → Medium
status: New → Confirmed
Changed in cloud-init (Ubuntu Yakkety):
status: New → Confirmed
Changed in cloud-init (Ubuntu Zesty):
status: New → Confirmed
Changed in cloud-init (Ubuntu Xenial):
importance: Medium → Low
Changed in cloud-init (Ubuntu Yakkety):
importance: Undecided → Low
Changed in cloud-init (Ubuntu Zesty):
importance: Undecided → Low
Chad Smith (chad.smith) on 2017-05-01
description: updated

Hello Craig, or anyone else affected,

Accepted cloud-init into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.7.9-113-g513e99e0-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Xenial):
status: Confirmed → Fix Committed
tags: added: verification-needed
Craig Miskell (3-crjig-7) wrote :

Confirmed the fix looks good in 0.7.9-113-g513e99e0-0ubuntu1~16.04.1 for Xenial.

tags: added: verification-done-xenial
Steve Langasek (vorlon) wrote :

Hello Craig, or anyone else affected,

Accepted cloud-init into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.7.9-113-g513e99e0-0ubuntu1~16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Yakkety):
status: Confirmed → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Craig, or anyone else affected,

Accepted cloud-init into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.7.9-113-g513e99e0-0ubuntu1~17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Zesty):
status: Confirmed → Fix Committed
Chad Smith (chad.smith) wrote :
Download full text (3.8 KiB)

--- validated yakkety and zesty
$ for release in yakkety zesty; do ref=$release-proposed; echo $ref; ./lxc-proposed-snapshot --proposed --publish $release $ref; lxc init $ref $name; lxc start $name; sleep 10; echo "---GREP FOR WARNINGS---"; lxc exec $name -- grep "warning: " /var/log/syslog; echo "---GREP FOR WARNINGS DONE ---"; echo "grep for cloud-init too..."; echo "---GREP FOR CLOUD-INIT LOGS---"; lxc exec $name -- grep cloud-init /var/log/syslog; echo "---GREP FOR CLOUD-INIT LOGS DONE---"; lxc exec $name -- dpkg -l cloud-init; lxc exec $name -- grep VERSION= /etc/os-version; lxc stop $name; lxc delete $name; done;

yakkety-proposed
Creating yakkety-proposed-45277423
...
Installing new version of config file /etc/rsyslog.d/21-cloudinit.conf ...
Container published with fingerprint: 67c066c34544ad7c776d01ff456445957cf17524a31a7ce2db9ed0b981041c6f
Creating proposed-test
---GREP FOR WARNINGS---
---GREP FOR WARNINGS DONE ---
grep for cloud-init too...
---GREP FOR CLOUD-INIT LOGS---
May 12 18:45:52 proposed-test cloud-init[481]: Generating locales (this might take a while)...
May 12 18:45:53 proposed-test cloud-init[481]: en_US.UTF-8... done
May 12 18:45:53 proposed-test cloud-init[481]: Generation complete.
May 12 18:45:53 proposed-test cloud-init[481]: Cloud-init v. 0.7.9 running 'modules:config' at Fri, 12 May 2017 18:45:52 +0000. Up 6.0 seconds.
May 12 18:45:54 proposed-test cloud-init[544]: Cloud-init v. 0.7.9 running 'modules:final' at Fri, 12 May 2017 18:45:54 +0000. Up 8.0 seconds.
May 12 18:45:54 proposed-test cloud-init[544]: ci-info: no authorized ssh keys fingerprints found for user ubuntu.
May 12 18:45:54 proposed-test cloud-init[544]: Cloud-init v. 0.7.9 finished at Fri, 12 May 2017 18:45:54 +0000. Datasource DataSourceNoCloud [seed=/var/lib/cloud/seed/nocloud-net][dsmode=net]. Up 8.0 seconds
---GREP FOR CLOUD-INIT LOGS DONE---
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-==============-============-============-=================================
ii cloud-init 0.7.9-113-g5 all Init scripts for cloud instances
VERSION="16.10 (Yakkety Yak)"
zesty-proposed
Creating zesty-proposed-2769111851
--proposed --
Get:1 http://security.ubuntu.com/ubuntu zesty-security InRelease [89.2 kB]
...
Container published with fingerprint: 9e3594e39dbb7ebbb9ceb3c0c13aab22a2e54fbc99edd97422f0a4fa1c2863df
Creating proposed-test
---GREP FOR WARNINGS---
---GREP FOR WARNINGS DONE ---
grep for cloud-init too...
---GREP FOR CLOUD-INIT LOGS---
May 12 18:54:56 proposed-test systemd[1]: cloud-init.service: Failed to reset devices.list: Operation not permitted
May 12 18:54:56 proposed-test systemd[1]: cloud-init.service: Failed to set invocation ID on control group /system.slice/cloud-init.service, ignoring: Operation not permitted
May 12 18:54:57 proposed-test cloud-init[479]: Generating locales (this might take a while)...
May 12 18:54:58 proposed-test cloud-init[479]: en_US.UTF-8... done
May 12 18:54:58 proposed-test cloud-init[479]: Generation compl...

Read more...

tags: added: verification-done-yakkety verification-done-zesty
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.9-113-g513e99e0-0ubuntu1~16.04.1

---------------
cloud-init (0.7.9-113-g513e99e0-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * debian/update-grub-legacy-ec2: fix early exit failure no /etc/fstab
    file. (LP: #1682160)
  * New upstream snapshot.
    - nova-lxd: read product_name from environment, not platform.
      (LP: #1685810)
    - Fix yum repo config where keys contain array values [Dylan Perry]
    - template: Update debian backports template [Joshua Powers]
    - rsyslog: replace ~ with stop [Joshua Powers] (LP: #1367899)
    - Doc: add additional RTD examples [Joshua Powers]
    - Fix growpart for some cases when booted with root=PARTUUID.
      (LP: #1684869)
    - pylint: update output style to parseable [Joshua Powers]
    - pylint: fix all logging warnings [Joshua Powers]
    - CloudStack: Add NetworkManager to list of supported DHCP lease dirs.
      [Syed Mushtaq Ahmed]
    - net: kernel lies about vlans not stealing mac addresses, when they do
      [Dimitri John Ledkov] (LP: #1682871)
    - ds-identify: Check correct path for "latest" config drive
      [Daniel Watkins] (LP: #1673637)
    - doc: Fix example for resolv.conf configuration. [Jon Grimm]
    - Fix examples that reference upstream chef repository. [Jon Grimm]
    - doc: correct grammar and improve clarity in merging documentation.
      [David Tagatac]
    - doc: Add missing doc link to snap-config module. [Ryan Harper]
    - snap: allows for creating cloud-init snap [Joshua Powers]
    - DigitalOcean: assign IPv4ll address to lowest indexed interface.
      [Ben Howard] (LP: #1676908)
    - DigitalOcean: configure all NICs presented in meta-data.
      [Ben Howard] (LP: #1676908)
    - Remove (and/or fix) URL shortener references [Jon Grimm]
    - HACKING.rst: more info on filling out contributors agreement.
    - util: teach write_file about copy_mode option
      [Lars Kellogg-Stedman] (LP: #1644064)
    - DigitalOcean: bind resolvers to loopback interface.
      [Ben Howard] (LP: #1676908)
    - tests: fix AltCloud tests to not rely on blkid (LP: #1636531)

 -- Scott Moser <email address hidden> Thu, 27 Apr 2017 12:51:04 -0400

Changed in cloud-init (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for cloud-init has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.9-113-g513e99e0-0ubuntu1~16.10.1

---------------
cloud-init (0.7.9-113-g513e99e0-0ubuntu1~16.10.1) yakkety; urgency=medium

  * debian/update-grub-legacy-ec2: fix early exit failure no /etc/fstab
    file. (LP: #1682160)
  * New upstream snapshot.
    - nova-lxd: read product_name from environment, not platform.
      (LP: #1685810)
    - Fix yum repo config where keys contain array values [Dylan Perry]
    - template: Update debian backports template [Joshua Powers]
    - rsyslog: replace ~ with stop [Joshua Powers] (LP: #1367899)
    - Doc: add additional RTD examples [Joshua Powers]
    - Fix growpart for some cases when booted with root=PARTUUID.
      (LP: #1684869)
    - pylint: update output style to parseable [Joshua Powers]
    - pylint: fix all logging warnings [Joshua Powers]
    - CloudStack: Add NetworkManager to list of supported DHCP lease dirs.
      [Syed Mushtaq Ahmed]
    - net: kernel lies about vlans not stealing mac addresses, when they do
      [Dimitri John Ledkov] (LP: #1682871)
    - ds-identify: Check correct path for "latest" config drive
      [Daniel Watkins] (LP: #1673637)
    - doc: Fix example for resolv.conf configuration. [Jon Grimm]
    - Fix examples that reference upstream chef repository. [Jon Grimm]
    - doc: correct grammar and improve clarity in merging documentation.
      [David Tagatac]
    - doc: Add missing doc link to snap-config module. [Ryan Harper]
    - snap: allows for creating cloud-init snap [Joshua Powers]
    - DigitalOcean: assign IPv4ll address to lowest indexed interface.
      [Ben Howard] (LP: #1676908)
    - DigitalOcean: configure all NICs presented in meta-data.
      [Ben Howard] (LP: #1676908)
    - Remove (and/or fix) URL shortener references [Jon Grimm]
    - HACKING.rst: more info on filling out contributors agreement.
    - util: teach write_file about copy_mode option
      [Lars Kellogg-Stedman] (LP: #1644064)
    - DigitalOcean: bind resolvers to loopback interface.
      [Ben Howard] (LP: #1676908)
    - tests: fix AltCloud tests to not rely on blkid (LP: #1636531)

 -- Scott Moser <email address hidden> Thu, 27 Apr 2017 13:38:40 -0400

Changed in cloud-init (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.9-113-g513e99e0-0ubuntu1~17.04.1

---------------
cloud-init (0.7.9-113-g513e99e0-0ubuntu1~17.04.1) zesty; urgency=medium

  * debian/update-grub-legacy-ec2: fix early exit failure no /etc/fstab
    file. (LP: #1682160)
  * New upstream snapshot.
    - nova-lxd: read product_name from environment, not platform.
      (LP: #1685810)
    - Fix yum repo config where keys contain array values [Dylan Perry]
    - template: Update debian backports template [Joshua Powers]
    - rsyslog: replace ~ with stop [Joshua Powers] (LP: #1367899)
    - Doc: add additional RTD examples [Joshua Powers]
    - Fix growpart for some cases when booted with root=PARTUUID.
      (LP: #1684869)
    - pylint: update output style to parseable [Joshua Powers]
    - pylint: fix all logging warnings [Joshua Powers]
    - CloudStack: Add NetworkManager to list of supported DHCP lease dirs.
      [Syed Mushtaq Ahmed]
    - net: kernel lies about vlans not stealing mac addresses, when they do
      [Dimitri John Ledkov] (LP: #1682871)
    - ds-identify: Check correct path for "latest" config drive
      [Daniel Watkins] (LP: #1673637)
    - doc: Fix example for resolv.conf configuration. [Jon Grimm]
    - Fix examples that reference upstream chef repository. [Jon Grimm]
    - doc: correct grammar and improve clarity in merging documentation.
      [David Tagatac]
    - doc: Add missing doc link to snap-config module. [Ryan Harper]
    - snap: allows for creating cloud-init snap [Joshua Powers]
    - DigitalOcean: assign IPv4ll address to lowest indexed interface.
      [Ben Howard] (LP: #1676908)
    - DigitalOcean: configure all NICs presented in meta-data.
      [Ben Howard] (LP: #1676908)
    - Remove (and/or fix) URL shortener references [Jon Grimm]
    - HACKING.rst: more info on filling out contributors agreement.
    - util: teach write_file about copy_mode option
      [Lars Kellogg-Stedman] (LP: #1644064)
    - DigitalOcean: bind resolvers to loopback interface.
      [Ben Howard] (LP: #1676908)
    - tests: fix AltCloud tests to not rely on blkid (LP: #1636531)

 -- Scott Moser <email address hidden> Thu, 27 Apr 2017 15:09:31 -0400

Changed in cloud-init (Ubuntu Zesty):
status: Fix Committed → Fix Released
Joshua Powers (powersj) on 2017-07-27
Changed in cloud-init:
assignee: Joshua Powers (powersj) → nobody

This bug is believed to be fixed in cloud-init in 17.1. If this is still a problem for you, please make a comment and set the state back to New

Thank you.

Changed in cloud-init:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.